Subject: Re: linux-next: manual merge of the net-next tree with the sh tree

From: Yoshinori Sato <[email-masked]>
Date: Fri, 12 Jul 2019 14:49:00 +0900

On Fri, 12 Jul 2019 09:59:28 +0900,
Stephen Rothwell wrote:
> 
> [1  <text/plain; US-ASCII (quoted-printable)>]
> Hi all,
> 
> On Mon, 17 Jun 2019 11:40:11 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next merge of the net-next tree got conflicts in:
> > 
> >   arch/sh/configs/se7712_defconfig
> >   arch/sh/configs/se7721_defconfig
> >   arch/sh/configs/titan_defconfig
> > 
> > between commit:
> > 
> >   7c04efc8d2ef ("sh: configs: Remove useless UEVENT_HELPER_PATH")
> > 
> > from the sh tree and commit:
> > 
> >   a51486266c3b ("net: sched: remove NET_CLS_IND config option")
> > 
> > from the net-next tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> > 
> > -- 
> > Cheers,
> > Stephen Rothwell
> > 
> > diff --cc arch/sh/configs/se7712_defconfig
> > index 6ac7d362e106,1e116529735f..000000000000
> > --- a/arch/sh/configs/se7712_defconfig
> > +++ b/arch/sh/configs/se7712_defconfig
> > @@@ -63,7 -63,7 +63,6 @@@ CONFIG_NET_SCH_NETEM=
> >   CONFIG_NET_CLS_TCINDEX=y
> >   CONFIG_NET_CLS_ROUTE4=y
> >   CONFIG_NET_CLS_FW=y
> > - CONFIG_NET_CLS_IND=y
> >  -CONFIG_UEVENT_HELPER_PATH="/sbin/hotplug"
> >   CONFIG_MTD=y
> >   CONFIG_MTD_BLOCK=y
> >   CONFIG_MTD_CFI=y
> > diff --cc arch/sh/configs/se7721_defconfig
> > index ffd15acc2a04,c66e512719ab..000000000000
> > --- a/arch/sh/configs/se7721_defconfig
> > +++ b/arch/sh/configs/se7721_defconfig
> > @@@ -62,7 -62,7 +62,6 @@@ CONFIG_NET_SCH_NETEM=
> >   CONFIG_NET_CLS_TCINDEX=y
> >   CONFIG_NET_CLS_ROUTE4=y
> >   CONFIG_NET_CLS_FW=y
> > - CONFIG_NET_CLS_IND=y
> >  -CONFIG_UEVENT_HELPER_PATH="/sbin/hotplug"
> >   CONFIG_MTD=y
> >   CONFIG_MTD_BLOCK=y
> >   CONFIG_MTD_CFI=y
> > diff --cc arch/sh/configs/titan_defconfig
> > index 1c1c78e74fbb,171ab05ce4fc..000000000000
> > --- a/arch/sh/configs/titan_defconfig
> > +++ b/arch/sh/configs/titan_defconfig
> > @@@ -142,7 -142,7 +142,6 @@@ CONFIG_GACT_PROB=
> >   CONFIG_NET_ACT_MIRRED=m
> >   CONFIG_NET_ACT_IPT=m
> >   CONFIG_NET_ACT_PEDIT=m
> > - CONFIG_NET_CLS_IND=y
> >  -CONFIG_UEVENT_HELPER_PATH="/sbin/hotplug"
> >   CONFIG_FW_LOADER=m
> >   CONFIG_CONNECTOR=m
> >   CONFIG_MTD=m
> 
> This is now a conflict between the sh tree and Linus' tree.

OK.
I can not update sh-next now, so I will fix it tomorrow.

> -- 
> Cheers,
> Stephen Rothwell
> [2 OpenPGP digital signature <application/pgp-signature (7bit)>]
> No public key for 015042F34957D06C created at 2019-07-12T09:59:28+0900 using RSA

-- 
Yosinori Sato